org.apache.ignite.internal.util.lang

## Interface GridInClosure3<E1,E2,E3>

Type Parameters:
  `E1` - Type of the first free variable, i.e. the element the closure is called or closed on.
  `E2` - Type of the second free variable, i.e. the element the closure is called or closed on.
  `E3` - Type of the third free variable, i.e. the element the closure is called or closed on.

All Known Subinterfaces:
  CI3<E1,E2,E3>

All Known Implementing Classes:
  CIX3, GridInClosure3X

    public interface GridInClosure3<E1,E2,E3>

Defines a convenient `side-effect only` closure, i.e. the closure that has `void` return type. Since Java 6 doesn't provide a language construct for first-class function the closures are implemented as interfaces.

## Type Alias

To provide for more terse code you can use a typedef `CI3` class or various factory methods in `GridFunc` class. Note, however, that since typedefs in Java rely on inheritance you should not use these type aliases in signatures.

## Thread Safety

Note that this interface does not impose or assume any specific thread-safety by its implementations. Each implementation can elect what type of thread-safety it provides, if any.

See Also:
  `C3`, `GridFunc`

### Method Summary

Methods
`void` `apply(E1 e1, E2 e2, E3 e3)` Closure body.

### Method Detail

#### apply

    void apply(E1 e1,
             E2 e2,
             E3 e3)

Closure body.

Parameters:
  `e1` - First bound free variable, i.e. the element the closure is called or closed on.
  `e2` - Second bound free variable, i.e. the element the closure is called or closed on.
  `e3` - Third bound free variable, i.e. the element the closure is called or closed on.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017